# XYMOND_CAPTURE

Section: Maintenance Commands (8)
Updated: Version 4.3.11: 21 Apr 2013
Index Return to Main Contents

## NAME

xymond_capture - catch selected messages from a xymond channel

## SYNOPSIS

xymond_channel --channel=status xymond_capture [options]

## DESCRIPTION

xymond_capture is a worker module for xymond, and as such it is normally run via the xymond_channel(8) program. It receives messages from xymond via stdin and filters them to select messages based on the hostname, testname or color of the status. By default the resulting messages are printed on stdout, but they can also be fed into a command for further processing.

xymond_capture supports the status, data, client and hostdata channels.

## OPTIONS

--hosts=PATTERN
  Select messages only from hosts matching PATTERN (regular expression).

--exhosts=PATTERN
  Exclude messages from hosts matching PATTERN. If used with the --hosts option, then the hostname must match the --hosts pattern, but NOT the --exhosts pattern.

--tests=PATTERN
  Select messages only from tests matching PATTERN (regular expression).

--extests=PATTERN
  Exclude messages from tests matching PATTERN. If used with the --tests option, then the testname must match the --tests pattern, but NOT the --extests pattern.

--colors=COLOR[,color]
  Select messages based on the color of the status message. Multiple colors can be listed, separated by comma. Default: Accept all colors.

--batch-command=COMMAND
  Instead of printing the messages to stdout, feed them to COMMAND on stdin. COMMAND can be any command which accepts the mssage on standard input.

--batch-timeout=SECONDS
  Collect messages until no messages have arrived in SECONDS seconds, before sending them to the --batch-command COMMAND.

--client
  Capture data from the "client" channel instead of the default "status" channel.

--debug
  Enable debugging output.

## SEE ALSO

xymond_channel(8), xymond(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 10:54:41 GMT, April 21, 2013